EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'AssessmentTypes_DeleteAssessmentType',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a vulnerability assessment type.'
GO

IF OBJECT_ID('[AssessmentTypes_DeleteAssessmentType]') IS NOT NULL DROP PROCEDURE [AssessmentTypes_DeleteAssessmentType]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [AssessmentTypes_DeleteAssessmentType]
(
	@AssessmentType_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE
	  FROM [AssessmentTypes]
	 WHERE [AssessmentType_Id] = @AssessmentType_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [AssessmentTypes_DeleteAssessmentType] TO [ProGetUser_Role]
GO