EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackageSymbols_GetSymbols',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackageSymbols',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the best symbol matches.'
GO

IF OBJECT_ID('[NuGetPackageSymbols_GetSymbols]') IS NOT NULL DROP PROCEDURE [NuGetPackageSymbols_GetSymbols]
GO

CREATE PROCEDURE [NuGetPackageSymbols_GetSymbols]
(
	@Feed_Id INT,
	@Symbol_Id BINARY(16),
	@SymbolFileName_Text NVARCHAR(255),
	@Symbol_Age INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NuGetPackageSymbols]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Symbol_Id] = @Symbol_Id
	   AND [SymbolFileName_Text] = @SymbolFileName_Text
	ORDER BY ABS(@Symbol_Age - [Symbol_Age]) ASC, [Symbol_Age] DESC
END
GO

GRANT EXECUTE ON [NuGetPackageSymbols_GetSymbols] TO [ProGetUser_Role]