EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackages_GetPackageCount',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Package_Count',
    /* Description_Text        */ 'Gets the number of packages in the system that meet the specified criteria.'
GO

IF OBJECT_ID('[NuGetPackages_GetPackageCount]') IS NOT NULL DROP PROCEDURE [NuGetPackages_GetPackageCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackages_GetPackageCount]
(
	@Feed_Id INT,
	@Package_Id NVARCHAR(255),
	@Package_Count INT = NULL OUT
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT @Package_Count = COUNT(*)
	  FROM [NuGetPackages]
	  WITH (READUNCOMMITTED)
	 WHERE [Feed_Id] = COALESCE(@Feed_Id, [Feed_Id])
	   AND (@Package_Id IS NULL OR [Package_Id] = @Package_Id)

END
GO

GRANT EXECUTE ON [NuGetPackages_GetPackageCount] TO [ProGetUser_Role]
GO
