EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetPrivileges',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Privileges_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of privileges assigned in the system.'
GO

IF OBJECT_ID('[Security_GetPrivileges]') IS NOT NULL DROP PROCEDURE [Security_GetPrivileges]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetPrivileges]
(
	@UserDirectory_Id INT,
	@PrincipalType_Code CHAR(1) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Privileges_Extended]
	 WHERE [PrincipalType_Code] = COALESCE(@PrincipalType_Code, [PrincipalType_Code])
	   AND [UserDirectory_Id] = @UserDirectory_Id
END
GO

GRANT EXECUTE ON [Security_GetPrivileges] TO [ProGetUser_Role]
GO
