EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_CreateAssessment',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Creates a new assessment for a vulnerability.'
GO

IF OBJECT_ID('[Vulnerabilities_CreateAssessment]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_CreateAssessment]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_CreateAssessment]
(
	@Vulnerability_Id INT,
	@AssessmentType_Id INT,
	@Assessment_Date DATETIME,
	@AssessedBy_User_Name USERNAME
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Vulnerabilities]
	   SET [AssessmentType_Id] = @AssessmentType_Id,
		   [Assessment_Date] = CASE WHEN @AssessmentType_Id IS NOT NULL THEN @Assessment_Date ELSE NULL END,
		   [AssessedBy_User_Name] = CASE WHEN @AssessmentType_Id IS NOT NULL THEN @AssessedBy_User_Name ELSE NULL END
	 WHERE [Vulnerability_Id] = @Vulnerability_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Vulnerabilities_CreateAssessment] TO [ProGetUser_Role]
GO